本教程将引导您完成在Debian 9系统上安装Ruby的步骤。 Ruby是当今最受欢迎的语言之一。它具有优雅的语法,是强大的Ruby on Rails框架背后的语言。

在Debian上安装Ruby有几种不同的方法。在以下各节中,我们将展示如何使用Rbenv和RVM脚本以及从默认的Debian存储库中安装Ruby。

先决条件

在开始学习本教程之前,请确保您以具有[sudo]特权的用户身份登录。

方法1:从Debian存储库安装Ruby

在您的Debian系统上安装Ruby的最简单方法是通过 apt 软件包管理器。在撰写本文时,Debian存储库中包含的版本为2.3.3,将很快停产。

首先,使用以下命令刷新软件包列表:

sudo apt update

安装ruby-full软件包通过运行以下命令:

sudo apt install ruby-full

安装完成后,可以通过打印Ruby来验证安装是否成功版本:

ruby --version

输出看起来像这样:

ruby 2.3.3p222 (2016-11-21) [x86_64-linux-gnu]

方法2:使用Rbenv安装Ruby

Rbenv是轻量级的Ruby版本管理工具,可让您轻松切换Ruby版本。

默认情况下,Rbenv不处理Ruby版本的安装。 ruby-build是一个工具,可以帮助您安装可能需要的任何版本的Ruby。它可以作为独立程序使用,也可以作为rbenv的插件使用。

安装ruby-build工具从源代码构建Ruby所需的依赖项:

sudo apt update
sudo apt install git curl libssl-dev libreadline-dev zlib1g-dev autoconf bison build-essential libyaml-dev libreadline-dev libncurses5-dev libffi-dev libgdbm-dev

接下来,运行以下 curl命令安装rbenv和ruby-build脚本:

curl -sL https://github.com/rbenv/rbenv-installer/raw/master/bin/rbenv-installer | bash -

成功安装后

开始使用rbenv之前,我们需要在 PATH 中添加$HOME/.rbenv/bin

如果您使用的是Bash,请输入:

echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.bashrc
echo 'eval "$(rbenv init -)"' >> ~/.bashrc
source ~/.bashrc

如果您使用的是Zsh类型:

echo 'export PATH="$HOME/.rbenv/bin:$PATH"' >> ~/.zshrc
echo 'eval "$(rbenv init -)"' >> ~/.zshrc
source ~/.zshrc

现在rbenv已安装在我们的系统上,我们可以轻松安装最新的稳定版本的Ruby,并将其设置为默认版本,方法如下:

rbenv install 2.5.1
rbenv global 2.5.1

验证Ruby是否正确通过打印版本号安装:

ruby -v
ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux]

方法3:使用RVM安装Ruby

RVM是另一个用于安装,管理和使用多个Ruby环境的工具。

首先安装RVM实用程序从源代码构建Ruby所需的依赖项:

sudo apt update
sudo apt install curl g++ gcc autoconf automake bison libc6-dev libffi-dev libgdbm-dev libncurses5-dev libsqlite3-dev libtool libyaml-dev make pkg-config sqlite3 zlib1g-dev libgmp-dev libreadline-dev libssl-dev

接下来,运行以下命令以添加GPG密钥并安装RVM:

gpg --keyserver hkp://keys.gnupg.net --recv-keys 409B6B1796C275462A1703113804BB82D39DC0E3 7D2BAF1CF37B13E2069D6956105BD0E739499BDB
curl -sSL https://get.rvm.io | bash -s stable

成功安装后,开始使用RVM,您需要运行以下命令: ​​

source ~/.rvm/scripts/rvm

使用RVM安装最新的稳定版Ruby并将其设置为默认版本:

rvm install 2.5.1
rvm use 2.5.1 --default

通过打印版本号来验证是否已正确安装Ruby:

ruby -v
ruby 2.5.1p57 (2018-03-29 revision 63029) [x86_64-linux]

有关如何管理Ruby安装的更多信息,请访问 RVM文档页面

结论

我们向您展示了三种在Debian 9服务器上安装Ruby的方法。您选择的方法取决于您的要求和偏好。尽管从Debian存储库安装打包版本更容易,但Rbenv和RVM方法为您提供了更大的灵活性,可以基于每个用户添加和删除不同的Ruby版本。

如果您有任何问题或反馈,请随时在下面评论。

如果你喜欢我们的内容可以选择在下方二维码中捐赠我们,或者点击广告予以支持,感谢你的支持